net.sourceforge.pmd.lang.dfa

## Interface DataFlowNode

All Known Implementing Classes:
  AbstractDataFlowNode, JavaDataFlowNode, StartOrEndDataFlowNode

    public interface DataFlowNode

### Method Summary

Methods
`void` `addPathToChild(DataFlowNode child)`
`List<DataFlowNode>` `getChildren()`
`List<DataFlowNode>` `getFlow()`
`int` `getIndex()`
`int` `getLine()`
`Node` `getNode()`
`List<DataFlowNode>` `getParents()`
`List<VariableAccess>` `getVariableAccess()`
`boolean` `isType(int type)`
`boolean` `removePathToChild(DataFlowNode child)`
`void` `reverseParentPathsTo(DataFlowNode destination)`
`void` `setType(int type)`
`void` `setVariableAccess(List<VariableAccess> variableAccess)`

### Method Detail

#### getVariableAccess

    List<VariableAccess> getVariableAccess()

#### getLine

    int getLine()

#### getIndex

    int getIndex()

#### isType

    boolean isType(int type)

#### setType

    void setType(int type)

#### getChildren

    List<DataFlowNode> getChildren()

#### getParents

    List<DataFlowNode> getParents()

#### getFlow

    List<DataFlowNode> getFlow()

#### getNode

    Node getNode()

#### setVariableAccess

    void setVariableAccess(List<VariableAccess> variableAccess)

#### addPathToChild

    void addPathToChild(DataFlowNode child)

#### removePathToChild

    boolean removePathToChild(DataFlowNode child)

#### reverseParentPathsTo

    void reverseParentPathsTo(DataFlowNode destination)